Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType ejb-componentType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}deploymentType
              {http://www.bea.com/ns/weblogic/90/domain}componentType
                  {http://www.bea.com/ns/weblogic/90/domain}ejb-componentType

Model
  `<...>
  name?, notes?, target?, deployment-order?, uri?, java-compiler?, java-compiler-pre-class-path?, java-compiler-post-class-path?, extra-rmic-options?, keep-generated?, force-generation?, tmp-path?, verbose-ejb-deployment-enabled?, extra-ejbc-options?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  The top level interface for all configuration information that WebLogic Server maintains for an EJB module.

  MBean: `EJBComponentMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `target` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `deployment-order` optional A priority that the server uses to determine when it deploys an item.
`string` | `uri` optional A URI that points to the application module, usually on the Administration Server.
`string` | `java-compiler` optional The path to the Java compiler to use to compile EJBs (e.
`string` | `java-compiler-pre-class-path` optional Provides a list of the options to prepend to the Java compiler classpath when you compile Java code.
`string` | `java-compiler-post-class-path` optional Provides a list of the options to append to the Java compiler classpath when you compile Java code.
`string` | `extra-rmic-options` optional The extra options passed to rmic during server-side generation are noted here.
`boolean` | `keep-generated` optional indicates whether KeepGenerated is enabled and the ejbc source files will be kept.
`boolean` | `force-generation` optional Indicates whether the ForceGeneration is enabled.
`string` | `tmp-path` optional Return the temporary directory where generated files are stored by ejbc.
`string` | `verbose-ejb-deployment-enabled` optional Indicates whether the VerboseEJBDeployment is enabled.
`string` | `extra-ejbc-options` optional Returns the extra options passed to ejbc during the dynamic ejbc of a jar file.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1